Bug 997598 - BONAIRE support in F19?
BONAIRE support in F19?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 13:57 EDT by Patrick C. F. Ernzer
Modified: 2015-02-17 11:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:46:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (89.90 KB, text/x-log)
2013-08-15 13:57 EDT, Patrick C. F. Ernzer
no flags Details
full lspci -vvv output (23.08 KB, text/plain)
2013-08-15 13:58 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2013-08-15 13:57:59 EDT
Created attachment 787019 [details]
Xorg log file

Description of problem:

I have a XFX labelled Radeon HD 7790 (Sea Islands / BONAIRE) which I'd like to use with the open driver, accelerated and with 2 screens.

I was under the impression that BONAIRE was supported in F19. But;

- BONAIRE_*.bin files are missing from /usr/lib/firmware/radeon/ (I've seen Bugs 988263 and 988268 , can I even expect this to work with 3.10.5-201.fc19.x86_64 ?)

- second screen remains stubbornly off.

- neither BONAIRE nor 7790 nor ISLAND seem to be among the long list of chipsets listed after "(II) RADEON: Driver for ATI Radeon chipsets:"

- VESA picks up the card (see attached Xorg log )

Maybe my impression is simply wrong and I need to use rawhide. With the F20 branch coming Soon™, I guess I'd wait until then if this GPU is VESA only in F19.

Version-Release number of selected component (if applicable):
  xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64
  linux-firmware-20130724-28.git31f6b30.fc19.noarch
  3.10.5-201.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. install F19 (incl. updates or yum update after install)
2. start into graphical target
?. do tell if you would like me to try the nomodeset kernel command line option.

Actual results:
VESA is used

Expected results:
(by order of preference[1])
- both screens usable
- radeon is used
- ideally also the radeonsi and glamor niceness

Additional info:
[1] the computer in question has enough bang to be usable even if the CPU has to do some heavy lifting for my graphics experience in F19 ;-)

I have no wish to use the closed source fglrx.
===============================================================================
$ xrandr -q
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 640 x 480, current 1920 x 1200, maximum 1920 x 1200
default connected primary 1920x1200+0+0 0mm x 0mm
   1920x1200       0.0* 
   1600x1200       0.0  
   1400x1050       0.0  
   1280x1024       0.0  
   1280x960        0.0  
   1024x768        0.0  
   800x600         0.0  
   640x480         0.0  
===============================================================================
all is auto-probed
$ ls /etc/X11/xorg.conf /etc/X11/xorg.conf.d/
ls: cannot access /etc/X11/xorg.conf: No such file or directory
/etc/X11/xorg.conf.d/:
00-keyboard.conf

but creating a stub in /etc/X11/xorg.conf.d/ to force radeon (or radeonsi) does not improve the situation
===============================================================================
from lspci -vvv
[...]
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Bonaire XT [Radeon HD 7790/8770] (prog-if 00 [VGA controller])
        Subsystem: XFX Pine Group Inc. Radeon HD 7790 Black Edition 2 GB
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Region 2: Memory at ef800000 (64-bit, prefetchable) [size=8M]
        Region 4: I/O ports at ee00 [size=256]
        Region 5: Memory at fbc80000 (32-bit, non-prefetchable) [size=256K]
        [virtual] Expansion ROM at e0000000 [disabled] [size=128K]
        Capabilities: <access denied>
[...]
===============================================================================
$ grep EE Xorg.0.log
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    23.586] Initializing built-in extension MIT-SCREEN-SAVER
[    23.601] (EE) open /dev/dri/card0: No such file or directory
[    23.601] (EE) open /dev/fb0: No such file or directory
[  3043.699] (EE) Server terminated successfully (0). Closing log file.
$ grep WW Xorg.0.log
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    23.601] (WW) Falling back to old probe method for modesetting
[    23.601] (WW) Falling back to old probe method for fbdev
[    23.797] (WW) VESA(0): Unable to estimate virtual size
[    24.691] (WW) evdev: Logitech Logitech Illuminated Keyboard: ignoring absolute axes.
Comment 1 Patrick C. F. Ernzer 2013-08-15 13:58:43 EDT
Created attachment 787020 [details]
full lspci -vvv output
Comment 2 Fedora End Of Life 2015-01-09 14:28:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:46:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.